View Issue Details

IDProjectCategoryView StatusLast Update
0002016SymmetricDSBugpublic2014-10-27 11:52
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.10 
Target Version3.6.11Fixed in Version3.6.11 
Summary0002016: On some platforms (sybase) sql fails when numeric column names are used in the where clause of initial load sql
DescriptionOn some platforms (sybase) sql fails when numeric column names are used in the where clause of initial load sql. The is because the new initial load uses the column names to alias select values as strings.

For example: select cast(col1 as varchar) as col1 where col1 > 50 would fail on Sybase ASE if col1 was numeric.

Getting rid of the named aliases and referencing the col values by position should fix the issue.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 446bce64

2014-10-16 12:08:38

chenson

Details Diff
0002016: On some platforms (sybase) sql fails when numeric column names are used in the where clause of initial load sql
0002016
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/Row.java Diff File

SymmetricDS: master 2a25fba8

2014-10-16 13:17:34

chenson

Details Diff
0002016: On some platforms (sybase) sql fails when numeric column names are used in the where clause of initial load sql
0002016
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File

SymmetricDS: master 4a651d39

2014-10-17 08:20:16

chenson

Details Diff
0002016: On some platforms (sybase) sql fails when numeric column names are used in the where clause of initial load sql
0002016
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2014-10-16 11:08 chenson New Issue
2014-10-16 11:08 chenson Status new => assigned
2014-10-16 11:08 chenson Assigned To => chenson
2014-10-16 12:19 chenson Status assigned => resolved
2014-10-16 12:19 chenson Fixed in Version => 3.6.11
2014-10-16 12:19 chenson Resolution open => fixed
2014-10-16 13:00 chenson Changeset attached => SymmetricDS trunk r8804
2014-10-16 13:00 chenson Changeset attached => SymmetricDS 3.6 r8805
2014-10-16 14:00 chenson Changeset attached => SymmetricDS trunk r8806
2014-10-16 14:00 chenson Changeset attached => SymmetricDS 3.6 r8807
2014-10-17 09:00 chenson Changeset attached => SymmetricDS 3.6 r8810
2014-10-17 09:00 chenson Changeset attached => SymmetricDS trunk r8811
2014-10-27 11:52 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 4a651d39
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 2a25fba8
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 446bce64